const {
  logSuccessfulLogin,
  getLoginDataTimerange,
  logDatabaseChange,
} = require("../repository/activityRepository");

/*
Function that creates a row of data in the userLogin table 
to documenmt a successful log in.
*/
async function documentSuccessfulLogin(userId, timestamp) {
  try {
    const result = await logSuccessfulLogin(userId, timestamp);
  } catch (error) {
    // SQL error from the repository
    console.log("Error when logging a successful login: ", error);
  }
}

async function documentDatabaseChange(
  tableName,
  recordId,
  userId,
  changeType,
  changedColumns,
  oldValues,
  newValues
) {}

/*
Get the login data for a sopecific time range
*/
async function viewLoginsTimerange(start, end) {
  // will throw error if there is a problem
  return await getLoginDataTimerange(start, end);
}

async function viewDatabaseChanges() {}

module.exports = {
  documentSuccessfulLogin,
  viewLoginsTimerange,
  logDatabaseChange,
};
